## function to generate hypergeometric attainable p-values for FET
hyperpset <- function(n1,n0,x){
  x1 <- c(x:0)
  pval <- 1-phyper(x1-1,n1,n0,x)
  return(pval)
}

## function to generate binomial attainable p-values for BET
binpset <- function(x,n,p){
  x <- c(0:n)
  pval <- pbinom(x,n,p)
  return(pval)
}


